# Uses of Enum Class
org.bukkit.potion.PotionType

Packages that use PotionType
Package
Description
org.bukkit.potion
Classes to represent various `potion` properties and manipulation.

## Uses of PotionType in org.bukkit.potion

Methods in org.bukkit.potion that return PotionType
Modifier and Type
Method
Description
`static @Nullable PotionType`
PotionType.`getByEffect(@Nullable PotionEffectType effectType)`
Deprecated.
Misleading
`@NotNull PotionType`
Potion.`getType()`
Deprecated.
Returns the `PotionType` of this potion.
`@NotNull PotionType`
PotionData.`getType()`
Gets the type of the potion, Type matches up with each kind of craftable potion
`static PotionType`
PotionType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PotionType[]`
PotionType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.potion with parameters of type PotionType
Modifier and Type
Method
Description
`@NotNull Collection<PotionEffect>`
PotionBrewer.`getEffects(@NotNull PotionType type, boolean upgraded, boolean extended)`
Returns a collection of `PotionEffect` that would be applied from a potion with the given type.
`void`
Potion.`setType(@NotNull PotionType type)`
Deprecated.
Sets the `PotionType` of this potion.
Constructors in org.bukkit.potion with parameters of type PotionType
Modifier
Constructor
Description
``
`Potion(@NotNull PotionType type)`
Deprecated.
Construct a new potion of the given type.
``
`Potion(@NotNull PotionType type, int level)`
Deprecated.
Create a new potion of the given type and level.
``
`Potion(@NotNull PotionType type, int level, boolean splash)`
Deprecated.
In favour of using `Potion(PotionType)` with `Potion.splash()`.
``
`Potion(@NotNull PotionType type, int level, boolean splash, boolean extended)`
Deprecated.
In favour of using `Potion(PotionType)` with `Potion.extend()` and possibly `Potion.splash()`.
``
`PotionData(@NotNull PotionType type)`
``
`PotionData(@NotNull PotionType type, boolean extended, boolean upgraded)`
Instantiates a final PotionData object to contain information about a Potion